AlmaLinux 9 : xorg-x11-server (ALSA-2022:8221)

high Nessus Plugin ID 167987

Synopsis

The remote AlmaLinux host is missing one or more security updates.

Description

The remote AlmaLinux 9 host has packages installed that are affected by multiple vulnerabilities as referenced in the ALSA-2022:8221 advisory.

- A flaw was found in the Xorg-x11-server. An out-of-bounds access issue can occur in the ProcXkbSetGeometry function due to improper validation of the request length. (CVE-2022-2319)

- A flaw was found in the Xorg-x11-server. The specific flaw exists within the handling of ProcXkbSetDeviceInfo requests. The issue results from the lack of proper validation of user-supplied data, which can result in a memory access past the end of an allocated buffer. This flaw allows an attacker to escalate privileges and execute arbitrary code in the context of root. (CVE-2022-2320)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://errata.almalinux.org/9/ALSA-2022-8221.html

Plugin Details

Severity: High

ID: 167987

File Name: alma_linux_ALSA-2022-8221.nasl

Version: 1.3

Type: local

Published: 11/19/2022

Updated: 11/24/2022

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:L/AC:L/Au:S/C:C/I:C/A:C

CVSS Score Source: CVE-2022-2320

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:alma:linux:xorg-x11-server-common, cpe:/o:alma:linux:9::crb, p-cpe:/a:alma:linux:xorg-x11-server-xdmx, cpe:/o:alma:linux:9::appstream, cpe:/o:alma:linux:9, p-cpe:/a:alma:linux:xorg-x11-server-xephyr, p-cpe:/a:alma:linux:xorg-x11-server-source, p-cpe:/a:alma:linux:xorg-x11-server-xorg, p-cpe:/a:alma:linux:xorg-x11-server-xnest, p-cpe:/a:alma:linux:xorg-x11-server-xvfb, p-cpe:/a:alma:linux:xorg-x11-server-devel

Required KB Items: Host/local_checks_enabled, Host/AlmaLinux/release, Host/AlmaLinux/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 11/15/2022

Vulnerability Publication Date: 8/4/2022

Reference Information

CVE: CVE-2022-2319, CVE-2022-2320

CWE: 1320, 787